from http.server import BaseHTTPRequestHandler, HTTPServer

class HelloWorldHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        self.send_response(200)  # HTTP status code 200 OK
        self.send_header("Content-type", "text/plain")
        self.end_headers()
        self.wfile.write(b"Hello, World!")

PORT = 8088

def run(server_class=HTTPServer, handler_class=HelloWorldHandler):
    server_address = ('', PORT)
    httpd = server_class(server_address, handler_class)
    print(f"Serving on port {PORT}")
    httpd.serve_forever()

if __name__ == "__main__":
    run()
