"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = exports.transform = void 0;
const zod_1 = require("zod");
exports.transform = zod_1.z.object({
    gwPort: zod_1.z
        .string()
        .min(1)
        .transform(val => parseInt(val, 10)),
    serverPort: zod_1.z
        .string()
        .min(1)
        .transform(val => parseInt(val, 10)),
    serverHost: zod_1.z.string(),
});
exports.validate = zod_1.z.object({
    gwPort: zod_1.z.number().int().positive(),
    serverPort: zod_1.z.number().int().positive(),
    serverHost: zod_1.z.string(),
});
