"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = confme;
const fs_1 = __importDefault(require("fs"));
const ZodSchema = __importStar(require("../../config/config-schema"));
function replace(template, vars) {
    return template.replace(/\{\{(.+?)\}\}/g, (match, p1) => {
        if (Object.prototype.hasOwnProperty.call(vars, p1)) {
            const value = vars[p1];
            if (value !== undefined) {
                return value;
            }
        }
        throw new Error(`Variable "${p1}" not set!`);
    });
}
function confme(configPath) {
    const template = fs_1.default.readFileSync(configPath).toString();
    const configStr = replace(template, process.env);
    let config = {};
    try {
        config = JSON.parse(configStr);
    }
    catch (error) {
        console.error('CANNOT PARSE JSON:', configStr);
        throw error;
    }
    config = ZodSchema.validate.parse(ZodSchema.transform.parse(config));
    return config;
}
