import {z} from 'zod';

export const transform = z.object({
    gwPort: z
        .string()
        .min(1)
        .transform(val => parseInt(val, 10)),
    serverPort: z
        .string()
        .min(1)
        .transform(val => parseInt(val, 10)),
    serverHost: z.string(),
});

export const validate = z.object({
    gwPort: z.number().int().positive(),
    serverPort: z.number().int().positive(),
    serverHost: z.string(),
});
