import path from 'path';
import dotenv from 'dotenv';
import confme from './confme';

type EnvType = 'test' | 'prod' | 'production' | undefined;

function getEnvPath(env: EnvType): string {
    if (env === 'test') {
        return path.join(__dirname, '../../../.env.test');
    } else if (env === 'prod' || env === 'production') {
        return path.join(__dirname, '../../../../.env');
    }
    return path.join(__dirname, '../../../.env.defaults');
}

const env_path = getEnvPath(process.env.NODE_ENV as EnvType);

dotenv.config({path: env_path});

export default confme(path.join(__dirname, '../config/config.json'));
