#!/usr/bin/env bash
DIRNAME_PREFIX=/usr/rtls/rtls-system-health-check

# copy .env file in tmp folder
if [ -e $DIRNAME_PREFIX/.env ]; then
  mkdir -p /tmp/rtls-system-health-check
  cp -rf $DIRNAME_PREFIX/.env /tmp/rtls-system-health-check/
fi

# updating system related files
cp -rf $DIRNAME_PREFIX/devops/sys-services/rtls-system-health-check.service /usr/lib/systemd/system/
cp -rf $DIRNAME_PREFIX/devops/sys-services/rtls-measurements-engine.service /usr/lib/systemd/system/

if [ -e /usr/lib/systemd/system/rtls-system-health-check.service ]; then
  chmod 644 /usr/lib/systemd/system/rtls-system-health-check.service
  chown root:root /usr/lib/systemd/system/rtls-system-health-check.service
fi

if [ -e /usr/lib/systemd/system/rtls-measurements-engine.service ]; then
  chmod 644 /usr/lib/systemd/system/rtls-measurements-engine.service
  chown root:root /usr/lib/systemd/system/rtls-measurements-engine.service
fi

# clear installation folder
rm -rf $DIRNAME_PREFIX/*

if sudo systemctl is-active --quiet rtls-system-health-check; then
    echo "Stopping rtls-system-health-check"
    sudo systemctl stop rtls-system-health-check
else
    echo "rtls-system-health-check is not active. No need to stop."
fi

if sudo systemctl is-active --quiet rtls-measurements-engine; then
    echo "Stopping rtls-measurements-engine"
    sudo systemctl stop rtls-measurements-engine
else
    echo "rtls-measurements-engine is not active. No need to stop."
fi
